GET
/
v1
/
wallet
/
hd
/
List wallets
curl --request GET \
  --url https://api.withconvexity.com/v1/wallet/hd/ \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Wallets fetched successfully",
  "data": [
    {
      "id": "9f1c2b3a-4d5e-6f70-8a9b-0c1d2e3f4a5b",
      "businessName": "Acme Liquidity Ltd",
      "address": "0x3A1cF4e2B8D9a7C6e5F4b3A2c1D0e9F8a7B6c5D4",
      "chainType": "EVM",
      "purpose": "general",
      "derivationPath": "m/44'/60'/0'/0/0",
      "addressIndex": 0,
      "isActive": true,
      "createdAt": "2026-06-17T10:15:30.000Z",
      "deactivatedAt": null,
      "metadata": null
    },
    {
      "id": "a1b2",
      "businessName": "Acme Liquidity Ltd",
      "address": "0x7C2dE5f3A9b8C7d6E5f4B3a2C1d0E9f8A7b6C5d3",
      "chainType": "EVM",
      "purpose": "general",
      "derivationPath": "m/44'/60'/0'/0/0",
      "addressIndex": 1,
      "isActive": true,
      "createdAt": "2026-06-17T10:15:30.000Z",
      "deactivatedAt": null,
      "metadata": null
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 access token from Auth-Edge.

Query Parameters

chainType
enum<string>

Filter by chain.

Available options:
EVM,
SOLANA
isActive
boolean

Filter by active state.

limit
integer
default:50

Page size.

offset
integer
default:0

Offset for pagination.

Response

200 - application/json

OK

The response is of type object.